Bug 212735

Summary: chinese/pyzy: move from googlecode to github
Product: Ports & Packages Reporter: shun <shun.fbsd.pr>
Component: Individual Port(s)Assignee: Kurt Jaeger <pi>
Status: Closed FIXED    
Severity: Affects Some People CC: henry.hu.sh, pi
Priority: --- Flags: henry.hu.sh: maintainer-feedback+
pi: merge-quarterly-
Version: Latest   
Hardware: Any   
OS: Any   
See Also: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=212736
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=213006
Attachments:
Description Flags
adjusted Makefile to use github
koobs: maintainer-approval-
poudriere log for pyzy 0.1.0_3
none
pyzy 0.1.0_3 patch
henry.hu.sh: maintainer-approval+
pyzy 0.1.0 r3
henry.hu.sh: maintainer-approval+
updated patch henry.hu.sh: maintainer-approval+

Description shun 2016-09-16 15:58:44 UTC
Created attachment 174841 [details]
adjusted Makefile to use github

This port has been marked broken as part of the great googlecode purge. This PR sets github as the upstream.
Comment 1 John Marino freebsd_committer 2016-09-20 14:26:00 UTC
This patch needs more work.
1) since GH_PROJECT is the same as $PORTNAME, you don't need this line
2) I didn't check this, but it is highly unlikely the checksum of github matches.  The differences need to be checked and the distinfo needs to be regenerated
3) what about the version number?  surely it changed?  You need to state that
4) PORTREVISION wasn't bumped which is required if distinfo changes

I'm not the maintainer but this patch as it is probably can't be approved.
Comment 2 John Marino freebsd_committer 2016-09-20 14:27:27 UTC
*** Bug 212736 has been marked as a duplicate of this bug. ***
Comment 3 Henry Hu 2016-10-14 01:29:51 UTC
As I have mentioned in bug 213006, there are many problems with the patch proposed.
I'll make a patch for this. However, I'm not sure how to deal with the open phrases database, which is only hosted on googlecode, not on github.
The current plan is just ditching that database and use the internal (smaller) android database.
Comment 4 VK freebsd_triage 2016-10-14 07:28:05 UTC
(In reply to John Marino from comment #1)

Agreed, and that's why we always like submitters to confirm that the changes have passed QA (portlint, poudriere).

So shun, or Henry, if this needs to be reworked with a new patch, when you attach it please confirm that it has passed the tests.

As always, thank you for your contribution.
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2016-10-18 11:36:07 UTC
Comment on attachment 174841 [details]
adjusted Makefile to use github

Maintainer does not approve (comment 3)
Comment 6 Kubilay Kocak freebsd_committer freebsd_triage 2016-10-18 11:36:29 UTC
Pending patch from maintainer (comment 3)
Comment 7 Henry Hu 2016-11-27 22:12:12 UTC
Created attachment 177463 [details]
poudriere log for pyzy 0.1.0_3
Comment 8 Henry Hu 2016-11-27 22:14:51 UTC
Created attachment 177464 [details]
pyzy 0.1.0_3 patch

Update pyzy port to revision 3.
This patch
* Download source code from Github
Google Code is going away.
* Removes the openphrase database
It is only hosted on Google Code. Remove this option until it's provided on github.
* Fix build with OpenCC
OpenCC changed its interface and removed the old APIs. This patch fixes the problem. The upstream is almost dead, and there is a similar pull request waiting.

Tested with poudriere.
Comment 9 Henry Hu 2016-11-28 03:23:36 UTC
Created attachment 177469 [details]
pyzy 0.1.0 r3

Sorry, I forgot to change pkg-descr in last patch.
Comment 10 Kubilay Kocak freebsd_committer freebsd_triage 2016-11-28 13:02:37 UTC
Review items:

+post-patch:
+	@${REINPLACE_CMD} -e 's|$$(libdir)/pkgconfig|${PREFIX}/libdata/pkgconfig|' ${WRKSRC}/Makefile.am

Should be doable with USES=pathfix

MASTER_SITES=GH isn't required when using USE_GITHUB=yes
Comment 11 Henry Hu 2016-11-29 03:18:23 UTC
Created attachment 177503 [details]
updated patch

This update
* uses pathfix instead of sed call
* removed master sites
* fixed indention
Comment 12 commit-hook freebsd_committer 2016-12-27 14:26:21 UTC
A commit references this bug:

Author: pi
Date: Tue Dec 27 14:25:40 UTC 2016
New revision: 429618
URL: https://svnweb.freebsd.org/changeset/ports/429618

Log:
  chinese/pyzy: unbreak by moving upstream to github

  - Removes the openphrase database
    It is only hosted on Google Code. Remove this option until it's
    provided on github.
  - Fix build with OpenCC
    OpenCC changed its interface and removed the old APIs. This patch
    fixes the problem. The upstream is almost dead, and there is a
    similar pull request waiting.
  - use pathfix instead of sed call
  - fixed indention

  PR:		212735
  Submitted by:	shun.fbsd.pr.ml@dropcut.net, henry.hu.sh@gmail.com (maintainer)

Changes:
  head/chinese/pyzy/Makefile
  head/chinese/pyzy/distinfo
  head/chinese/pyzy/files/
  head/chinese/pyzy/files/patch-src_SimpTradConverter.cc
  head/chinese/pyzy/pkg-descr
  head/chinese/pyzy/pkg-plist
Comment 13 Kurt Jaeger freebsd_committer 2016-12-27 14:26:49 UTC
Committed, thanks!
Comment 14 Kurt Jaeger freebsd_committer 2016-12-27 14:45:35 UTC
next quarterly is just around the corner.